Subject: RE: bug#18637: 24.4.50; doc of frame parameter DISPLAY vs actual value on MS Windows

From: Drew Adams <[email-masked]>
Date: Sun, 5 Oct 2014 19:55:52 -0700 (PDT)

> > In (elisp) `Basic Parameters' I see this description of frame
> > parameter `display':
> >
> >   The display on which to open this frame.  It should be a string
> >   of the form `"HOST:DPY.SCREEN"', just like the `DISPLAY'
> >   environment variable.
> >
> > But if I evaluate `(frame-parameters)' on MS Windows I see this
> > value for parameter `display': "w32".
> >
> > "w32" does not seem to fit the form `"HOST:DPY.SCREEN"'.  What
> > gives?
> 
> Emacs on MS-Windows doesn't support the notion of 'display', so all
> frames return the same value of that parameter.

OK, then the doc should mention this, or at least say that the
string might not take the form "HOST:DPY.SCREEN" on some platforms,
and preferably say something about what to expect on the
exceptional platforms (and perhaps give some idea of what use the
exceptional value is - what it can be used for, or what info it
conveys).

> > And why is that string surrounded by `...'?
> 
> An artifact of Texinfo markup.

I see.  Is that then correct, or should the `...' be absent?
There are strings in the manual that are not surrounded by `...'.

> > And why aren't the components of that "form" described: What are
> > acceptable values for HOST, DPY, and SCREEN?
> 
> Users on X already know what they are; users on other systems don't
> need to know, because this is not supported.  Either way, this
> notion is not an Emacs invention, it is a feature of the X
> window system.

Then please say that.  E.g., say that the value is useful only for
X Window, or only relevant for it.  If the function itself has no
use beyond X Window, then please make that clear.